Update/Stop a Boosted Load

Manually ends an active boost early by setting an unboostedDate. After this call the boost is no longer active.Try it: Here

Update or Stop a boosted Load

📘

Update or Stop a Posted Load

PUT /loadmanagement/v2/load/boost Manually ends an active boost early by setting an unboostedDate. After this call the boost is no longer active.

Authorization bearer token
Content Type application/json
URL Params None
Body Params Load Object

curl --request PUT \
     --url https://api-int.truckstop.com/loadmanagement/v2/load/boost \
     --header 'accept: application/json' \
     --header 'authorization: Bearer  <access token>' \
     --header 'content-type: application/json' \
     --data '
{
  "loadId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "unboostedDate": "2026-03-03T14:15:00Z"
}
'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "loadId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "userId": "d4e5f6a7-b8c9-0123-defa-456789012345",
  "durationMinutes": 30,
  "boostedFrom": "2026-03-03T14:00:00Z",
  "boostedTo": "2026-03-03T14:15:00Z",
  "createdDate": "2026-03-03T14:00:00Z",
  "updatedDate": "2026-03-03T14:15:05Z",
  "unboostedDate": "2026-03-03T14:15:00Z"
}